Package org.gdal.ogr

## Class FieldDefn

- java.lang.Object
- - org.gdal.ogr.FieldDefn

-     public class FieldDefn
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FieldDefn​()` |
    `FieldDefn​(java.lang.String name_null_ok)` |
    `FieldDefn​(java.lang.String name_null_ok, int field_type)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `delete​()` |
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `GetAlternativeName​()` |
    `java.lang.String` | `GetAlternativeNameRef​()` |
    `java.lang.String` | `GetDefault​()` |
    `int` | `GetFieldType​()` |
    `java.lang.String` | `GetFieldTypeName​(int type)` |
    `int` | `GetJustify​()` |
    `java.lang.String` | `GetName​()` |
    `java.lang.String` | `GetNameRef​()` |
    `int` | `GetPrecision​()` |
    `int` | `GetSubType​()` |
    `java.lang.String` | `GetTypeName​()` |
    `int` | `GetWidth​()` |
    `int` | `hashCode​()` |
    `int` | `IsDefaultDriverSpecific​()` |
    `int` | `IsIgnored​()` |
    `int` | `IsNullable​()` |
    `int` | `IsUnique​()` |
    `void` | `SetAlternativeName​(java.lang.String alternativeName)` |
    `void` | `SetDefault​(java.lang.String pszValue)` |
    `void` | `SetIgnored​(int bIgnored)` |
    `void` | `SetJustify​(int justify)` |
    `void` | `SetName​(java.lang.String name)` |
    `void` | `SetNullable​(int bNullable)` |
    `void` | `SetPrecision​(int precision)` |
    `void` | `SetSubType​(int type)` |
    `void` | `SetType​(int type)` |
    `void` | `SetUnique​(int bUnique)` |
    `void` | `SetWidth​(int width)` |

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FieldDefn

          public FieldDefn​(java.lang.String name_null_ok,
                           int field_type)

    - #### FieldDefn

          public FieldDefn​(java.lang.String name_null_ok)

    - #### FieldDefn

          public FieldDefn​()

  - ### Method Detail

    - #### delete

          public void delete​()

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode​()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### GetName

          public java.lang.String GetName​()

    - #### GetNameRef

          public java.lang.String GetNameRef​()

    - #### SetName

          public void SetName​(java.lang.String name)

    - #### GetAlternativeName

          public java.lang.String GetAlternativeName​()

    - #### GetAlternativeNameRef

          public java.lang.String GetAlternativeNameRef​()

    - #### SetAlternativeName

          public void SetAlternativeName​(java.lang.String alternativeName)

    - #### GetFieldType

          public int GetFieldType​()

    - #### SetType

          public void SetType​(int type)

    - #### GetSubType

          public int GetSubType​()

    - #### SetSubType

          public void SetSubType​(int type)

    - #### GetJustify

          public int GetJustify​()

    - #### SetJustify

          public void SetJustify​(int justify)

    - #### GetWidth

          public int GetWidth​()

    - #### SetWidth

          public void SetWidth​(int width)

    - #### GetPrecision

          public int GetPrecision​()

    - #### SetPrecision

          public void SetPrecision​(int precision)

    - #### GetTypeName

          public java.lang.String GetTypeName​()

    - #### GetFieldTypeName

          public java.lang.String GetFieldTypeName​(int type)

    - #### IsIgnored

          public int IsIgnored​()

    - #### SetIgnored

          public void SetIgnored​(int bIgnored)

    - #### IsNullable

          public int IsNullable​()

    - #### SetNullable

          public void SetNullable​(int bNullable)

    - #### IsUnique

          public int IsUnique​()

    - #### SetUnique

          public void SetUnique​(int bUnique)

    - #### GetDefault

          public java.lang.String GetDefault​()

    - #### SetDefault

          public void SetDefault​(java.lang.String pszValue)

    - #### IsDefaultDriverSpecific

          public int IsDefaultDriverSpecific​()